| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
AlgExecState Class Reference

`#include <GaudiKernel/IAlgExecStateSvc.h>`

Collaboration diagram for AlgExecState:
[legend]

## Public Member Functions
| AlgExecState ()
bool | filterPassed () const
bool | isExecuted () const
const StatusCode & | execStatus () const
void | setFilterPassed (bool f=true)
void | setExecuted (bool e=true)
void | setExecStatus (const StatusCode &sc=StatusCode::SUCCESS)
void | reset ()

## Private Attributes
bool | m_filterPassed
bool | m_isExecuted
StatusCode | m_execStatus

## Detailed Description

Definition at line 27 of file IAlgExecStateSvc.h.

## Constructor & Destructor Documentation

AlgExecState::AlgExecState | ( |  | ) |
| inline

Definition at line 30 of file IAlgExecStateSvc.h.

30 : m_filterPassed(true), m_isExecuted(false),
31 m_execStatus(StatusCode(StatusCode::FAILURE,true)) {}
StatusCode::FAILURE
Definition: StatusCode.h:29
AlgExecState::m_filterPassed
bool m_filterPassed
Definition: IAlgExecStateSvc.h:50
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
AlgExecState::m_isExecuted
bool m_isExecuted
Definition: IAlgExecStateSvc.h:51
AlgExecState::m_execStatus
StatusCode m_execStatus
Definition: IAlgExecStateSvc.h:52

## Member Function Documentation

const StatusCode& AlgExecState::execStatus | ( |  | ) | const
| inline

Definition at line 35 of file IAlgExecStateSvc.h.

35 { return m_execStatus; }
AlgExecState::m_execStatus
StatusCode m_execStatus
Definition: IAlgExecStateSvc.h:52

bool AlgExecState::filterPassed | ( |  | ) | const
| inline

Definition at line 33 of file IAlgExecStateSvc.h.

33 { return m_filterPassed; }
AlgExecState::m_filterPassed
bool m_filterPassed
Definition: IAlgExecStateSvc.h:50

bool AlgExecState::isExecuted | ( |  | ) | const
| inline

Definition at line 34 of file IAlgExecStateSvc.h.

34 { return m_isExecuted; }
AlgExecState::m_isExecuted
bool m_isExecuted
Definition: IAlgExecStateSvc.h:51

void AlgExecState::reset | ( |  | ) |
| inline

Definition at line 42 of file IAlgExecStateSvc.h.

42 {
43 m_filterPassed = true;
44 m_isExecuted = false;
45 m_execStatus = StatusCode(StatusCode::FAILURE,true);
46 }
StatusCode::FAILURE
Definition: StatusCode.h:29
AlgExecState::m_filterPassed
bool m_filterPassed
Definition: IAlgExecStateSvc.h:50
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
AlgExecState::m_isExecuted
bool m_isExecuted
Definition: IAlgExecStateSvc.h:51
AlgExecState::m_execStatus
StatusCode m_execStatus
Definition: IAlgExecStateSvc.h:52

void AlgExecState::setExecStatus | ( | const StatusCode & | sc = `StatusCode::SUCCESS` | ) |
| inline

Definition at line 39 of file IAlgExecStateSvc.h.

39 {
40 m_execStatus = sc; }
AlgExecState::m_execStatus
StatusCode m_execStatus
Definition: IAlgExecStateSvc.h:52

void AlgExecState::setExecuted | ( | bool | e = `true` | ) |
| inline

Definition at line 38 of file IAlgExecStateSvc.h.

38 { m_isExecuted = e; }
AlgExecState::m_isExecuted
bool m_isExecuted
Definition: IAlgExecStateSvc.h:51

void AlgExecState::setFilterPassed | ( | bool | f = `true` | ) |
| inline

Definition at line 37 of file IAlgExecStateSvc.h.

37 { m_filterPassed = f; }
AlgExecState::m_filterPassed
bool m_filterPassed
Definition: IAlgExecStateSvc.h:50

## Member Data Documentation

StatusCode AlgExecState::m_execStatus
| private

Definition at line 52 of file IAlgExecStateSvc.h.

bool AlgExecState::m_filterPassed
| private

Definition at line 50 of file IAlgExecStateSvc.h.

bool AlgExecState::m_isExecuted
| private

Definition at line 51 of file IAlgExecStateSvc.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IAlgExecStateSvc.h